#
#       Makefile for shtlib
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

ROOTDIR     = ..\..\..
OBJDIR      = ..

FSRC        = shfftb.f shfftf.f shfg2w.f shfw2g.f shfwga.f shfwgj.f \
              shfwgm.f shfwgz.f shinic.f shinif.f shinip.f shinir.f \
              shinit.f shinix.f shiniy.f shiniz.f shlbwj.f shlbwl.f \
              shlbwm.f shlbwu.f shlfwl.f shlfwm.f shlfwu.f shlsds.f \
              shlssd.f shly2x.f shmdxj.f shmdxm.f shms2w.f shmsri.f \
              shmswa.f shmswj.f shmswm.f shmswz.f shmw2s.f shmwjm.f \
              shmwjz.f shnm2l.f sholap.f shpfun.f shppma.f shppmj.f \
              shtlib.f

FOBJ = $(FSRC:.f=.obj)

!include $(ROOTDIR)\MkInclude.win

build:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=build-exec
build-exec: $(FOBJ)

install:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=install-exec
install-exec-unique:

clean:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=clean-exec
clean-exec-unique:

